### Method

# Gtk Label set_natural_wrap_mode

since: 4.6

#### Declaration [src]

    void
    gtk_label_set_natural_wrap_mode (
      GtkLabel* self,
      GtkNaturalWrapMode wrap_mode
    )

#### Description [src]

Selects the line wrapping for the natural size request.

This only affects the natural size requested, for the actual wrapping used, see the `GtkLabel:wrap-mode` property.

Available since: 4.6

Sets property | `Gtk.Label:natural-wrap-mode`

#### Parameters

`wrap_mode`

  Type: `GtkNaturalWrapMode`

  The line wrapping mode.